[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

Classes | Enumerations
vigra::metrics Namespace Reference

Define functors for various common metrics. More...

## Classes

class | Metric
| Functor to compute a metric between two vectors. More...

## Enumerations

enum | MetricType { ChiSquaredMetric =0 , HellingerMetric =1 , SquaredNormMetric =2 , NormMetric =3 , L2Norm =NormMetric , ManhattanMetric =4 , L1Norm =ManhattanMetric , SymetricKlMetric =5 , BhattacharyaMetric =6 }
| Tags to select a metric for vector distance computation. More...

## Detailed Description

Define functors for various common metrics.

## Enumeration Type Documentation

## ◆ MetricType

enum MetricType

Tags to select a metric for vector distance computation.

Enumerator
ChiSquaredMetric | chi-squared distance for histograms (sum of squared differences normalized by means)
HellingerMetric | Hellinger distance (Euclidean distance between the square-root vectors).
SquaredNormMetric | squared Euclidean distance
NormMetric | Euclidean distance (L2 norm).
L2Norm | Euclidean distance (L2 norm).
ManhattanMetric | Manhattan distance (L1 norm).
L1Norm | Manhattan distance (L1 norm).
SymetricKlMetric | symmetric Kullback-Leibler divergence
BhattacharyaMetric | Bhattacharya distance (sum of elementwise geometric means).

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4